package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Apps.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.CreateAppResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.apps.create();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"certifyPolicyId": "<string>",
"description": "<string>",
"grantPolicyId": "<string>",
"instructions": "<string>",
"monthlyCostUsd": 123,
"owners": [
"<string>"
],
"revokePolicyId": "<string>",
"strictAccessEntitlementProvisioning": true
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps"
payload = {
"displayName": "<string>",
"certifyPolicyId": "<string>",
"description": "<string>",
"grantPolicyId": "<string>",
"instructions": "<string>",
"monthlyCostUsd": 123,
"owners": ["<string>"],
"revokePolicyId": "<string>",
"strictAccessEntitlementProvisioning": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
certifyPolicyId: '<string>',
description: '<string>',
grantPolicyId: '<string>',
instructions: '<string>',
monthlyCostUsd: 123,
owners: ['<string>'],
revokePolicyId: '<string>',
strictAccessEntitlementProvisioning: true
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"appAccountId": "<string>",
"appAccountName": "<string>",
"appOwners": [
{
"createdAt": "2023-11-07T05:31:56Z",
"delegatedUserId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"department": "<string>",
"departmentSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"directoryIds": [
"<string>"
],
"directoryStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"displayName": "<string>",
"email": "<string>",
"emailSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"emails": [
"<string>"
],
"employeeIdSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employeeIds": [
"<string>"
],
"employmentStatus": "<string>",
"employmentStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employmentType": "<string>",
"employmentTypeSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"jobTitle": "<string>",
"jobTitleSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"managerIds": [
"<string>"
],
"managerSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"profile": {},
"roleIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernameSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"usernames": [
"<string>"
]
}
],
"certifyPolicyId": "<string>",
"connectorVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"defaultRequestCatalogId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"fieldMask": "<string>",
"grantPolicyId": "<string>",
"iconUrl": "<string>",
"id": "<string>",
"instructions": "<string>",
"isDirectory": true,
"isManuallyManaged": true,
"logoUri": "<string>",
"monthlyCostUsd": 123,
"parentAppId": "<string>",
"revokePolicyId": "<string>",
"strictAccessEntitlementProvisioning": true,
"updatedAt": "2023-11-07T05:31:56Z",
"userCount": "<string>"
}
}Create
Create a new manual app without a connector.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Apps.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.CreateAppResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.apps.create();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The CreateAppRequest message is used to create a new app.
Creates the app with this display name.
Creates the app with this certify policy.
Creates the app with this description.
Creates the app with this grant policy.
Define the app user identity matching strategy for this app.
APP_USER_IDENTITY_MATCHING_UNSPECIFIED, APP_USER_IDENTITY_MATCHING_STRICT, APP_USER_IDENTITY_MATCHING_DISPLAY_NAME Instructions shown to users in the access request form when requesting access for this app.
Creates the app with this monthly cost per seat.
Creates the app with this array of owners.
Creates the app with this revoke policy.
This flag enforces a provisioning mode where the access entitlement is always included in the provisioning flow, if the app user doesn't exist
Response
Returns the new app's values.
Returns the new app's values.
The App object provides all of the details for an app, as well as some configuration.
Show child attributes
Show child attributes
Was this page helpful?